# 基金接口/基金信息查询

## 查询基金信息

> bizType=fund.app.FundOperationInfoAppDubboService.queryFundInfo\
> 查询基金信息\
> 登录后方可访问

```json
{"openapi":"3.0.1","info":{"title":"默认模块","version":"1.0.0"},"tags":[{"name":"基金接口/基金信息查询"}],"servers":[{"url":"https://prewppc-3.cmfbl.com/api","description":"PRE测试公司439"}],"security":[],"paths":{"/global/fund.app.FundOperationInfoAppDubboService.queryFundInfo":{"post":{"summary":"查询基金信息","deprecated":false,"description":"bizType=fund.app.FundOperationInfoAppDubboService.queryFundInfo\n查询基金信息\n登录后方可访问","operationId":"queryFundInfo","tags":["基金接口/基金信息查询"],"parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FundInfoQueryReqDto"}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BaseResultFundOperationInfoDto"}}},"headers":{}}}}}},"components":{"schemas":{"FundInfoQueryReqDto":{"type":"object","required":["fundId"],"properties":{"fundId":{"type":"integer","format":"int64","description":"基金ID"}}},"BaseResultFundOperationInfoDto":{"type":"object","properties":{"bizCode":{"type":"string","description":"模块标识码"},"code":{"type":"string","description":"状态返回码"},"msg":{"type":"string","description":"状态描述"},"tm":{"type":"integer","format":"int64","description":"处理时长（毫秒）"},"trace":{"type":"string","description":"跟踪码"},"msgParams":{"type":"string","description":"返回描述中占位符参数串，多个参数间以,分割"},"data":{"$ref":"#/components/schemas/FundOperationInfoDto"},"ok":{"type":"boolean"},"fail":{"type":"boolean"}}},"FundOperationInfoDto":{"type":"object","properties":{"id":{"type":"integer","format":"int64","description":"主键id"},"status":{"type":"integer","format":"int32","description":"状态 1、2、3、启用、禁用、删除"},"revision":{"type":"integer","format":"int32","description":"乐观锁"},"createBy":{"type":"string","description":"创建人"},"createTime":{"type":"integer","format":"int64","description":"创建时间"},"updateBy":{"type":"string","description":"更新人"},"updateTime":{"type":"integer","format":"int64","description":"更新时间"},"fundId":{"type":"integer","format":"int64","description":"基金ID"},"sharesIssued":{"type":"number","description":"发行总份额"},"sharesApply":{"type":"number","description":"申购总份额"},"sharesConfirm":{"type":"number","description":"已确认总份额"},"sharesRedeem":{"type":"number","description":"已赎回总份额"},"sharesCurrent":{"type":"number","description":"当前最新份额"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-cn.multimarkets.org/client-api/geng-duo-.../ji-jin-jie-kou-ji-jin-xin-xi-cha-xun.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
